Name:           pdfcube
Version:        0.0.3
Release:        4%{?dist}
Summary:        PDF presentation viewer with a spinning cube

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://code.100allora.it/pdfcube
Source0:        http://code.100allora.it/releases/pdfcube/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  poppler-devel, poppler-glib-devel, gtkglext-devel, freeglut-devel, boost-devel

%description
PDF Cube is an OpenGL API-based PDF viewer that adds a
compiz/Keynote-like spinning cube trasition effect to your PDF
presentations (including Latex, Beamer and Prosper). You can also zoom
on 5 predefined areas of any presentation page with a smooth zooming
effect.



%prep
%setup -q


%build
%configure --with-boost-libdir=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS
%{_bindir}/pdfcube



%changelog
* Tue May 26 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.0.3-4
- Fix build on x86_64 and ppc64.

* Tue Mar  3 2009 Mads Villadsen <maxx@krakoa.dk> - 0.0.3-3
- Exclude x86_64 and ppc64 since pdfcube currently fails to build on these architectures

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Mads Villadsen <maxx@krakoa.dk> - 0.0.3-1
- Update to latest upstream release (added better command line support and options to change colors)
- Added boost-devel to BuildRequires

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 0.0.2-9
- rebuild for dependencies

* Fri Mar 21 2008 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-8
- Rebuild because of new poppler library

* Wed Feb 13 2008 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-7
- Updated poppler build dependencies.

* Sat Sep 15 2007 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-6
- Messed up tagging - trying again.

* Sat Sep 15 2007 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-5
- Rebuild because of new poppler library

* Thu Aug 2 2007 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-4
- Updated License field per new Licensing Guidelines

* Tue Jan 9 2007 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-3
- Added COPYING and AUTHORS files. Added URL to Source0 (as per review request).

* Tue Dec 25 2006 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-2
- Changed the way the pdfcube binary is found

* Tue Dec 25 2006 Mads Villadsen <maxx@krakoa.dk> - 0.0.2-1
- First release
